API referenceMasterAgreement
POST /api/MasterAgreement/GetAllMasterAgreementStatuses
POST
/api/MasterAgreement/GetAllMasterAgreementStatusescurl -X POST "/api/MasterAgreement/GetAllMasterAgreementStatuses" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementStatusDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"description": "string",
"order": 0,
"statusCategory": 1,
"statusCategoryName": "string",
"color": "string",
"default": true,
"documentConnections": [
{
"id": 0,
"masterAgreementStatusId": 0,
"masterAgreementActionTypeId": 0,
"masterAgreementActionTypeName": "string",
"documentStatus": 1,
"documentStatusName": "string"
}
]
}
]
}